Subject: Re: [PATCH] IBM ocp I2C

From: andrew may <[email-masked]>
Date: Fri, 26 Apr 2002 20:35:05 -0700

On Fri, Apr 26, 2002 at 01:48:48PM -0700, Armin wrote:
> > In this patch I dump getown and getclock because they aren't
> > used and I am sure there is a better way to do things.
>
> this does not work on Walnut since "procfreq" is not part of openbios
> and the PLLMR does not exsist on the stb03 or 03  so this changes wont
> go in.

I don't have a stb03 or even know what chip it uses, so I have
no idea what to do about it. We should have some generic 4xx
functions to get the CPU/PLB/OPB clocks so we can calculate what
the I2C div should be. We could always try trusing what the BIOS
sets the divider to as well.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/